Summary: User mode helpers for the hostap driver
Name: hostap-utils
Version: 0.4.7
Release: r4.0
License: GPLv2
Group: kernel/userland
Packager: Wind River <info@windriver.com>
URL: http://hostap.epitest.fi
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Provides: elf(buildid) = 9421bfd8d8d0ce1bd2e3e38c579e6b30e3b38fe5
Provides: elf(buildid) = 3947de63f9967c4b3574c347801184b8960a0326
Provides: elf(buildid) = 77a08282cdd212a384a809be8d5ebc50a3571413
Provides: elf(buildid) = 18aaab0c49b52e32300d3f076c605cc4f2c98449
Provides: elf(buildid) = e60d354f5c5b7544d2e48d9c4ced9daf04833312

%description
The hostap driver supports Host AP mode, it allows for IEEE 802.11
management functions on the host computer and allows the system to act as
an access point.

%package -n hostap-utils-dbg
Summary: User mode helpers for the hostap driver - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: hostap-utils = 0.4.7-r4.0

%description -n hostap-utils-dbg
The hostap driver supports Host AP mode, it allows for IEEE 802.11
management functions on the host computer and allows the system to act as
an access point.  This package contains ELF symbols and related sources for
debugging purposes.

%package -n hostap-utils-staticdev
Summary: User mode helpers for the hostap driver - Development files (Static Libraries)
Group: devel
Requires: hostap-utils-dev = 0.4.7-r4.0

%description -n hostap-utils-staticdev
The hostap driver supports Host AP mode, it allows for IEEE 802.11
management functions on the host computer and allows the system to act as
an access point.  This package contains static libraries for software
development.

%package -n hostap-utils-dev
Summary: User mode helpers for the hostap driver - Development files
Group: devel
Requires: hostap-utils = 0.4.7-r4.0
Suggests: libc6-dev

%description -n hostap-utils-dev
The hostap driver supports Host AP mode, it allows for IEEE 802.11
management functions on the host computer and allows the system to act as
an access point.  This package contains symbolic links, header files, and
related items necessary for software development.

%package -n hostap-utils-doc
Summary: User mode helpers for the hostap driver - Documentation files
Group: doc

%description -n hostap-utils-doc
The hostap driver supports Host AP mode, it allows for IEEE 802.11
management functions on the host computer and allows the system to act as
an access point.  This package contains documentation.

%package -n hostap-utils-locale
Summary: User mode helpers for the hostap driver
Group: kernel/userland

%description -n hostap-utils-locale
The hostap driver supports Host AP mode, it allows for IEEE 802.11
management functions on the host computer and allows the system to act as
an access point.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
"/usr/sbin/hostap_fw_load"
"/usr/sbin/prism2_param"
"/usr/sbin/hostap_diag"
"/usr/sbin/hostap_crypt_conf"
"/usr/sbin/hostap_rid"
"/usr/sbin/split_combined_hex"
"/usr/sbin/prism2_srec"
"/usr/sbin/hostap_io_debug"

%files -n hostap-utils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/hostap_diag"
"/usr/sbin/.debug/hostap_crypt_conf"
"/usr/sbin/.debug/hostap_rid"
"/usr/sbin/.debug/prism2_srec"
"/usr/sbin/.debug/hostap_io_debug"
%dir "/usr/src/debug"
%dir "/usr/src/debug/hostap-utils"
%dir "/usr/src/debug/hostap-utils/0.4.7-r4"
%dir "/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/hostap_common.h"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/util.c"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/hostap_crypt_conf.c"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/hostap_rid.c"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/hostap_diag.c"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/prism2_srec.c"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/util.h"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/wireless_copy.h"
"/usr/src/debug/hostap-utils/0.4.7-r4/hostap-utils-0.4.7/hostap_io_debug.c"

%files -n hostap-utils-dev
%defattr(-,-,-,-)

